Bug 188784 - CVE-2006-1735 Privilege escalation via XBL.method.eval
CVE-2006-1735 Privilege escalation via XBL.method.eval
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: mozilla (Show other bugs)
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
: Security
Depends On:
  Show dependency treegraph
Reported: 2006-04-12 22:19 EDT by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0329
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-25 10:02:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-04-12 22:19:50 EDT
Privilege escalation via XBL.method.eval

Using the eval associated with methods of an XBL binding it was possible to
create  JavaScript  functions  that  would get compiled with the wrong
privileges, allowing the attacker to run code of their choice with the full
permission of the user running the browser. This could be used to install
spyware or viruses.

Note: Thunderbird shares the JavaScript engine with Firefox and could be
vulnerable if JavaScript were to be enabled in mail. This is not the default
setting and we strongly discourage users from running JavaScript in mail.


Disable JavaScript until you can upgrade to a fixed version.



This issue also affects RHEL3
This issue also affects RHEL2.1
Comment 1 Josh Bressers 2006-04-17 13:29:06 EDT
Lifting embargo
Comment 4 Red Hat Bugzilla 2006-04-25 10:02:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.